Package com.smartgwt.client.types

# Enum RecordType

java.lang.Object
java.lang.Enum<RecordType>
com.smartgwt.client.types.RecordType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<RecordType>`, `Constable`

public enum RecordType extends Enum<RecordType> implements ValueEnum
Defines the various types of record that can be present in a `ListGrid`.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRIDSUMMARY`
  a record showing summaries for all records in the grid
  `GROUPHEADER`
  a special collapsable record containing related regular records
  `GROUPSUMMARY`
  a record showing summaries for all records in a parent groupNode
  `NORMAL`
  regular data-records

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static RecordType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static RecordType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final RecordType NORMAL
    regular data-records

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

  - ### GROUPHEADER

    public static final RecordType GROUPHEADER
    a special collapsable record containing related regular records

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "groupHeader".

  - ### GROUPSUMMARY

    public static final RecordType GROUPSUMMARY
    a record showing summaries for all records in a parent groupNode

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "groupSummary".

  - ### GRIDSUMMARY

    public static final RecordType GRIDSUMMARY
    a record showing summaries for all records in the grid

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "gridSummary".

- ## Method Details

  - ### values

    public static RecordType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static RecordType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`